## ocamlmod 0.0.2

=== Makefile ===
################################################################################
#  ocamlmod: generate OCaml modules from source files                          #
#                                                                              #
#  Copyright (C) 2011, OCamlCore SARL                                          #
#                                                                              #
#  This library is free software; you can redistribute it and/or modify it     #
#  under the terms of the GNU Lesser General Public License as published by    #
#  the Free Software Foundation; either version 2.1 of the License, or (at     #
#  your option) any later version, with the OCaml static compilation           #
#  exception.                                                                  #
#                                                                              #
#  This library is distributed in the hope that it will be useful, but         #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
#  details.                                                                    #
#                                                                              #
#  You should have received a copy of the GNU Lesser General Public License    #
#  along with this library; if not, write to the Free Software Foundation,     #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
################################################################################

# OASIS_START
# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all: 
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: 
	$(SETUP) -clean $(CLEANFLAGS)

distclean: 
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

headache:
	find ./ -name _darcs -prune -false -o -name _build -prune \
	  -false -o -type f \
		| xargs headache -h _header -c _headache.config

.PHONY: headache

=== debian/changelog ===
ocamlmod (0.0.2-3) unstable; urgency=low

  * Change to arch:any to avoid problematic computed dependencies on
    libpcre

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 28 Jun 2012 23:12:33 +0000

ocamlmod (0.0.2-2) unstable; urgency=low

  * Reupload to fix dependencies

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 21 Jun 2012 21:24:39 +0000

ocamlmod (0.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #669567)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 19 Apr 2012 22:45:30 +0000

=== debian/control ===
Source: ocamlmod
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: 
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  libpcre-ocaml-dev,
  libfileutils-ocaml-dev,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~)
Standards-Version: 3.9.3
Homepage: http://forge.ocamlcore.org/projects/ocamlmod
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlmod.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlmod.git

Package: ocamlmod
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}
Description: generate OCaml modules from source files
 Pack a set of OCaml source files into a single file preserving module
 names. It also allows one to exclude certain parts of the file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/ocamlmod

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)'

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

debian/ocamlmod.1: debian/ocamlmod.mkd
	pandoc -s -w man $^ -o $@

## ocamlmod 0.0.4

=== debian/changelog ===
ocamlmod (0.0.4-1) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Dec 2013 23:44:27 +0100

ocamlmod (0.0.4-1~exp1) experimental; urgency=low

  [ Lifeng Sun ]
  * Team upload.
  * Minor changes to manpage to make lintian happy.

  [ Sylvain Le Gall ]
  * New upstream version
  * Upgrade to debhelper 9
  * Remove cleaner line in gbp.conf
  * Don't try to create the documentation (none available)
  * Fix VCS field
  * Add a watch file
  * Remove empty /usr/lib/ocaml

 -- Lifeng Sun <lifongsun@gmail.com>  Sat, 27 Jul 2013 18:27:12 +0800

=== debian/control ===
Source: ocamlmod
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 4.00.1),
  ocaml-findlib (>= 1.4),
  libpcre-ocaml-dev,
  libfileutils-ocaml-dev,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://forge.ocamlcore.org/projects/ocamlmod
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocamlmod.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocamlmod.git

Package: ocamlmod
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}
Description: generate OCaml modules from source files
 Pack a set of OCaml source files into a single file preserving module
 names. It also allows one to exclude certain parts of the file.

## ocamlmod 0.0.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 ################################################################################
-#  ocamlmod: generate OCaml modules from source files                          #
+#  ocamlmod: Generate OCaml modules from source files                          #
 #                                                                              #
 #  Copyright (C) 2011, OCamlCore SARL                                          #
+#  Copyright (C) 2013, Sylvain Le Gall                                         #
 #                                                                              #
 #  This library is free software; you can redistribute it and/or modify it     #
 #  under the terms of the GNU Lesser General Public License as published by    #
@@ -19,8 +20,10 @@
 #  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
 ################################################################################
 
+default: test
+
 # OASIS_START
-# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)
+# DO NOT EDIT (digest: 7b2408909643717852b95f994b273fee)
 
 SETUP = ocaml setup.ml
 
@@ -33,7 +36,7 @@
 test: setup.data build
 	$(SETUP) -test $(TESTFLAGS)
 
-all: 
+all:
 	$(SETUP) -all $(ALLFLAGS)
 
 install: setup.data
@@ -45,10 +48,10 @@
 reinstall: setup.data
 	$(SETUP) -reinstall $(REINSTALLFLAGS)
 
-clean: 
+clean:
 	$(SETUP) -clean $(CLEANFLAGS)
 
-distclean: 
+distclean:
 	$(SETUP) -distclean $(DISTCLEANFLAGS)
 
 setup.data:
@@ -58,9 +61,66 @@
 
 # OASIS_STOP
 
+# Precommit target
+#  Check style of code.
+PRECOMMIT_ARGS= \
+	    --exclude myocamlbuild.ml \
+	    --exclude setup.ml \
+	    --exclude README.txt \
+	    --exclude INSTALL.txt \
+	    --exclude Makefile \
+	    --exclude configure \
+	    --exclude _tags
+
+precommit:
+	@if command -v OCamlPrecommit > /dev/null; then \
+	  OCamlPrecommit $(PRECOMMIT_ARGS); \
+	else \
+	  echo "Skipping precommit checks.";\
+	fi
+
+precommit-full:
+	OCamlPrecommit --full $(PRECOMMIT_ARGS)
+
+test: precommit
+
+.PHONY: precommit
+
+# Fix perms target
+#  Fix missing permission for darcs VCS files.
+fix-perms:
+	# TODO: chmod +x doc-dist.sh
+
+.PHONY: fix-perms
+
+# Headache target
+#  Fix license header of file.
+
 headache:
-	find ./ -name _darcs -prune -false -o -name _build -prune \
-	  -false -o -type f \
-		| xargs headache -h _header -c _headache.config
+	find ./ \
+	  -name _darcs -prune -false \
+	  -o -name .git -prune -false \
+	  -o -name .svn -prune -false \
+	  -o -name _build -prune -false \
+	  -o -name dist -prune -false \
+	  -o -name '*[^~]' -type f \
+	  | xargs headache -h _header -c _headache.config
 
 .PHONY: headache
+
+# Deploy target
+#  Deploy/release the software.
+
+deploy: headache fix-perms
+	# TODO: create a plugin to create documentation.
+	# oasis doc-dist
+	admin-gallu-deploy --verbose \
+	  --forge_upload --forge_group ocamlmod --forge_user gildor-admin
+	# TODO: when oasis doc-dist will work, re-add.
+	#  --forge_extra_file "dist/ocamlmod-doc-$(shell oasis query version).tar.gz"
+	# TODO: create a plugin to send announcement.
+	# oasis announce
+	admin-gallu-oasis-increment \
+	  --setup_run --setup_args "-setup-update dynamic" --use_vcs
+
+.PHONY: deploy

=== debian/changelog ===
ocamlmod (0.0.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jan 2014 09:50:55 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
   libfileutils-ocaml-dev,
   dh-ocaml (>= 0.9~),
   debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://forge.ocamlcore.org/projects/ocamlmod
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocamlmod.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocamlmod.git

=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,8 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 
-OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
-export OCAMLFIND_DESTDIR
-OCAMLFIND_LDCONF=ignore
-export OCAMLFIND_LDCONF
-
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
@@ -23,7 +18,6 @@
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 	ocaml setup.ml -build
-	ocaml setup.ml -doc
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
@@ -32,8 +26,7 @@
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
 	mkdir -p '$(DESTDIR)/usr/bin'
-	mkdir -p '$(OCAMLFIND_DESTDIR)'
-	ocaml setup.ml -install 
+	ocaml setup.ml -install
 
 .PHONY: override_dh_install
 override_dh_install:

## ocamlmod 0.0.8

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 default: test
 
 # OASIS_START
-# DO NOT EDIT (digest: 7b2408909643717852b95f994b273fee)
+# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)
 
 SETUP = ocaml setup.ml
 
@@ -57,6 +57,9 @@
 setup.data:
 	$(SETUP) -configure $(CONFIGUREFLAGS)
 
+configure:
+	$(SETUP) -configure $(CONFIGUREFLAGS)
+
 .PHONY: build doc test all install uninstall reinstall clean distclean configure
 
 # OASIS_STOP
@@ -73,7 +76,7 @@
 	    --exclude _tags
 
 precommit:
-	@if command -v OCamlPrecommit > /dev/null; then \
+	-@if command -v OCamlPrecommit > /dev/null; then \
 	  OCamlPrecommit $(PRECOMMIT_ARGS); \
 	else \
 	  echo "Skipping precommit checks.";\

=== debian/changelog ===
ocamlmod (0.0.8-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:22:57 +0200

ocamlmod (0.0.8-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jul 2017 19:52:44 +0200

ocamlmod (0.0.8-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from Uploaders.

 -- Stéphane Glondu <glondu@debian.org>  Wed, 03 Aug 2016 13:36:52 +0200

=== debian/control ===
Source: ocamlmod
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
  ocaml-nox (>= 4.00.1),
  ocaml-findlib (>= 1.4),
  libpcre-ocaml-dev,
  libfileutils-ocaml-dev,
  ocamlbuild,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: http://forge.ocamlcore.org/projects/ocamlmod
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocamlmod.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocamlmod.git

Package: ocamlmod
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}
Description: generate OCaml modules from source files
 Pack a set of OCaml source files into a single file preserving module
 names. It also allows one to exclude certain parts of the file.

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=244 .*/ocamlmod-([0-9\.]*)\.tar\.gz

## ocamlmod 0.0.9

=== Makefile ===
--- 
+++ 
@@ -107,7 +107,7 @@
 	  -o -name _build -prune -false \
 	  -o -name dist -prune -false \
 	  -o -name '*[^~]' -type f \
-	  | xargs headache -h _header -c _headache.config
+	  | xargs /usr/bin/headache -h _header -c _headache.config
 
 .PHONY: headache

=== debian/changelog ===
ocamlmod (0.0.9-5) unstable; urgency=medium

  * Team upload
  * Fix build with OCaml 5.x
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Jun 2024 09:04:52 +0200

ocamlmod (0.0.9-4) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 09:27:30 +0200

ocamlmod (0.0.9-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Remove libpcre-ocaml-dev from Build-Depends (unused)
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Update debian/watch

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Nov 2021 12:29:19 +0100

ocamlmod (0.0.9-2) unstable; urgency=medium

  * Team upload
  * Remove oasis from Build-Depends, fixing a dependency loop; commit the
    output of "oasis setup" as a patch instead
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 31 Jul 2019 17:30:22 +0200

ocamlmod (0.0.9-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.1.4
  * Update Vcs-* fields
  * Update Homepage field
  * Add libfindlib-ocaml-dev and oasis in Build-Depends

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 13:07:51 +0200

=== debian/control ===
Source: ocamlmod
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
  ocaml,
  ocaml-findlib,
  libfindlib-ocaml-dev,
  libfileutils-ocaml-dev,
  libcamlp-streams-ocaml-dev,
  ocamlbuild,
  dh-ocaml,
  debhelper-compat (= 13)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/gildor478/ocamlmod
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlmod.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlmod

Package: ocamlmod
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}
Description: generate OCaml modules from source files
 Pack a set of OCaml source files into a single file preserving module
 names. It also allows one to exclude certain parts of the file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/ocamlmod

include /usr/share/ocaml/ocamlvars.mk

SETUP := ocaml -I +camlp-streams camlp_streams.cma setup.ml

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	$(SETUP) -configure --prefix /usr --destdir '$(DESTDIR)'

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(SETUP) -build

.PHONY: override_dh_auto_test
override_dh_auto_test:
	$(SETUP) -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	$(SETUP) -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(SETUP) -distclean

debian/ocamlmod.1: debian/ocamlmod.mkd
	pandoc -s -w man $^ -o $@
